Bug 252818 - new port: devel/gtkspellmm spellchecking for Gtk3 widgets
Summary: new port: devel/gtkspellmm spellchecking for Gtk3 widgets
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks: 253838
  Show dependency treegraph
 
Reported: 2021-01-19 04:01 UTC by Olga Smirnova
Modified: 2021-07-14 11:53 UTC (History)
2 users (show)

See Also:


Attachments
gtkspellmm3 shar (7.23 KB, application/x-shellscript)
2021-01-19 04:01 UTC, Olga Smirnova
no flags Details
fixed Makefile (716 bytes, text/plain)
2021-03-09 08:45 UTC, Olga Smirnova
mistresssilvara: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olga Smirnova 2021-01-19 04:01:12 UTC
Created attachment 221723 [details]
gtkspellmm3 shar

Spellchecker for GtkTextView widget (C++ bindings).
Comment 1 Li-Wen Hsu freebsd_committer 2021-03-09 07:15:40 UTC
build failed in poudriere: https://gist.github.com/e3743b07f198557e95ae3fcbfbda6d17
Comment 2 Olga Smirnova 2021-03-09 08:45:32 UTC
Created attachment 223110 [details]
fixed Makefile
Comment 3 Tobias C. Berner freebsd_committer 2021-07-14 11:53:55 UTC
Moin moin 

A few questions 

1) Could you provide a simple git diff
2) Why skip include/gtkspellmm-3.0/gtkspellmm/private/gtkspell_p.h
3) no need to use += in your LIB_DEPENDS, = suffices.
4) please sort USES and USE_GNOME entries alphabetically


mfg Tobias